VST 3 Examples VST 3.7 SDK for developing VST plug-in

Public Member Functions | Public Attributes | List of all members
VstModule Class Reference

This handles the plug-in factory in its library. More...

`#include <validator.h>`

Inheritance diagram for VstModule:

## Public Member Functions
| VstModule (const char *path)
| ~VstModule () override
bool | isValid () const
IPluginFactory * | getFactory ()

## Public Attributes
OBJ_METHODS(VstModule, FObject) protected IPluginFactory * | factory

## Detailed Description

This handles the plug-in factory in its library.

## Constructor & Destructor Documentation

## ◆ VstModule()

VstModule | ( | const char * | path | ) |

## ◆ ~VstModule()

~VstModule | ( |  | ) |
| override

## Member Function Documentation

## ◆ isValid()

bool isValid | ( |  | ) | const

## ◆ getFactory()

IPluginFactory * getFactory | ( |  | ) |
| inline

## Member Data Documentation

## ◆ factory

OBJ_METHODS (VstModule, FObject) protected IPluginFactory* factory

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.